<?php


/**
 * Description of CUser
 * This class manages the access to the table users
 *
 * @author raurope
 */
class CCitie extends CAppModel
{
    // --- ATTRIBUTES ---
    // --- OPERATIONS ---

    /**
     * Constructor for CUser
     */
    public function CCitie() {
        try {
            $this->_sTable = 'cities';
        }
        catch(CException $e) {
            throw $e;
        }
    }

    /**
     * This function gets an array of users identified by id
     * @param <type> $p_iIdUser the identifier of the user that we want to retrieve
     * @return <type> returns an array with the user
     */
    public function get_someCities( $p_iRegionID, $p_iLang = null ) {
        try {
            $someData = array();

            $iLang = 7;

            if(!is_null($p_iLang)){
                $iLang = $p_iLang;
            }
            
            //we get the apikey from the database with the public key
            $iReturnValue = $this->select(array("p_sColumns" => "*",
                "p_sWhere" => "languages_id = $iLang AND regions_id = $p_iRegionID",
                "p_sOrder" => "name"
                ));

            if ($iReturnValue == C_WARNING_SELECTEDOK) {
                //we get the data of the executed query
                $someData = $this->get_someData();
            }
            else {
                return false;
            }
        }
        catch(CException $e) {
            throw $e;
        }
        return $someData;
    }

    /**
     * This function gets an array of city identified by id
     * @param <type> $p_iCityId the identifier of the city
     * @return <type> returns an array with the city data
     */
    public function get_someCitieDataById( $p_iCityId, $p_iLang = null ) {
        try {
            $someData = array();

            $iLang = 7;

            if(!is_null($p_iLang)){
                $iLang = $p_iLang;
            }

            //we get the apikey from the database with the public key
            $iReturnValue = $this->select(
                                        array(
                                            "p_sColumns" => "*",
                                            "p_sWhere" => "languages_id = $iLang AND id = $p_iCityId",
                                            "p_sOrder" => "name"
                                            )
                                        );

            if ($iReturnValue == C_WARNING_SELECTEDOK) {
                //we get the data of the executed query
                $someData = $this->get_someData();
            }
            else {
                return false;
            }
        }
        catch(CException $e) {
            throw $e;
        }
        return $someData;
    }
}
?>