<?php


/**
 * Description of CUser
 * This class manages the access to the table users
 *
 * @author raurope
 */
class CRegion extends CAppModel
{
    // --- ATTRIBUTES ---
    // --- OPERATIONS ---

    /**
     * Constructor for CUser
     */
    public function CRegion() {
        try {
            $this->_sTable = 'regions';
        }
        catch(CException $e) {
            throw $e;
        }
    }



    /**
     * This function gets an array of users identified by id
     * @param <type> $p_iIdUser the identifier of the user that we want to retrieve
     * @return <type> returns an array with the user
     */
    public function get_someRegions( $p_iCountryID, $p_iLang = null ) {
        try {
            $someData = array();

            $iLang = 7;

            if(!is_null($p_iLang)){
                $iLang = $p_iLang;
            }

            //we get the apikey from the database with the public key
            $iReturnValue = $this->select(array("p_sColumns" => "*",
                "p_sWhere" => "languages_id = $iLang AND countries_id = $p_iCountryID",
                "p_sOrder" => "name"
                ));

            if ($iReturnValue == C_WARNING_SELECTEDOK) {
                //we get the data of the executed query
                $someData = $this->get_someData();
            }
            else {
                return false;
            }
        }
        catch(CException $e) {
            throw $e;
        }

        return $someData;
    }
    /**
     * This function gets an array of users identified by id
     * @param <type> $p_iIdUser the identifier of the user that we want to retrieve
     * @return <type> returns an array with the user
     */
    public function get_someRegionByID( $p_iRegionID, $p_iLang = null  ) {
        try {
            $someData = array();

            $iLang = 7;

            if(!is_null($p_iLang)){
                $iLang = $p_iLang;
            }

            //we get the apikey from the database with the public key
            $iReturnValue = $this->select(array(
                                            "p_sColumns" => "*",
                                            "p_sWhere" => "languages_id = $iLang AND id = $p_iRegionID"
                                            ));

            if ($iReturnValue == C_WARNING_SELECTEDOK) {
                //we get the data of the executed query
                $someDataAux = $this->get_someData();
                $someData = $someDataAux[0];
            }
            else {
                return false;
            }
        }
        catch(CException $e) {
            throw $e;
        }

        return $someData;
    }
}
?>