<div id="idDivMainContent">
    
    <div id="idDivHeader">
        <div id="idDivLogoContent">
            <?php $oHtml->image(array("src" => "logo_bookitit.png", "alt" => "logo")) ?>
        </div>
        <div id="idDivNumber" class="clsMarginLeft">
            <?= __("Number",$sLanguage) ?>: <?= $somePayment[0]["nubesis_order_reference"] ?> <br/>
            <?= __("Date",$sLanguage) ?>: <?= date("d-m-Y") ?>
        </div>
        <div id="idDivInfoCompany" class="clsMarginLeft clsMarginTop ">
            <div><?= C_PAYMENT_NAME_COMPANY ?></div>            
            <div><?= C_PAYMENT_NAME_ADDRESS ?></div>
            <div><?= C_PAYMENT_NAME_POSTAL." ".C_PAYMENT_NAME_CITY ?></div>
            <div><?= C_PAYMENT_NAME_CIF?></div>
        </div>
        <div id="idDivInfoCustomer" class="clsMarginLeft clsHPR">
            <div><?= $somePayment[0]["name"]." ".$somePayment[0]["surnames"] ?></div>            
            <div><?= $somePayment[0]["street"] ?></div>
            <div><?= $somePayment[0]["postalcode"]." ".$sCity." ".$sCountry ?></div>
            <div><?= $somePayment[0]["document"] ?></div>
        </div>
        <div class="clsCB"></div>
    </div>
    <div id="idDivBody">
        <div id="idDivDetail">
            <table cellspacing="0" cellpadding="10">
                <tr >
                    <td class="clsColTitle" width="50%" >
                        <b><?= __("Description",$sLanguage) ?></b>
                    </td>
                    <td class="clsColPrice" width="30%">
                        <b><?= __("Expiration Date",$sLanguage) ?></b>
                    </td>
                    <td class="clsColPrice" width="20%">
                        <b><?= __("Price",$sLanguage) ?></b>
                    </td>
                </tr>
                <tr>
                    <td>
                        <?= $somePayment[0]["description"]?>
                    </td>
                    <td>
                        <?= $sExpirationDate ?>
                    </td>                    
                    <td>
                        <?= number_format($somePayment[0]["price"],2,".","") ?>€
                    </td>
                </tr>
                
                <tr>
                    <td></td>  
                    <td align="right">
                        <?= __("Price Base",$sLanguage); ?>
                    </td>
                    
                    <td>
                        <?= number_format($somePayment[0]["price"],2,".","") ?>€
                    </td>
                </tr>
                <tr>
                    <td></td>  
                    <td align="right">
                        <?= __("Discount",$sLanguage); ?>
                    </td>
                    
                    <td>
                        <?php if (($somePayment[0]["discount"]) == null){
                            echo "-";                        
                        }
                        else{
//                            echo number_format($somePayment[0]["discount"]*100,2,".","");
                            echo ($somePayment[0]["discount"]*100)."%";
                        }
                        ?>
                        
                        
                    </td>
                </tr>
                <tr>
                    <td>                        
                    </td>  
                    <td align="right">
                        <?= __("VAT",$sLanguage); ?>
                    </td>
                    <td>
                        <?php
                        if(isset ($somePayment[0]["vat"]) && $somePayment[0]["vat"] > 0){
                            echo number_format( ($somePayment[0]["price"]-($somePayment[0]["price"]*$somePayment[0]["discount"]) ) * C_PAYMENT_VAT,2,".","")."€";
                        }
                        else{
                            echo "0.00€";
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td align="right">
                        <?= __("Total",$sLanguage); ?>
                    </td>
                    <td>
                        <?= number_format($somePayment[0]["total_price"],2,".","") ?>€
                    </td>
                </tr>
                
            </table>
        </div>
     
       
    </div>
</div>