<?php
$oSession = new CAppSession();
?>

<div id="idIndexTimeline">
    <div id="idOptions">
        <div id="idButtonAdd"  class="clsTextButton clsHP">
            <a href="<?= $oHtml->link("chat"); ?>">
                <?php __("Access to Chat", $sLang); ?>
            </a>
        </div>
    </div>

    <div id="idOptionsList" class="clsHPR">
        <div id="idSearch" class="clsHPR clsDivSearch clsBorderR">
            <?php $this->element("select",array(
                                            "sDefaultText" => __("Search your text ..." , $sLang , true) ,
                                            "someValues" => array(
                        "text"=> "text",
                        "date"=> "date"
                        ),
                                            "sNameInputSearch" => "nameIptSearchValue",
                                            "sNameValueSelected" => "data[search][field]",
                                            "sNameTextSelected" => "data[search][text]",
                                            "sFrmLink" => $oHtml->link("search")
                                        )
                                ); ?>
        </div>
        <div id="idButtonList" class="clsHPR clsTextButton">
            <a href="<?= $oHtml->link("index"); ?>">
                <?php __("List All", $sLang); ?>
            </a>
        </div>
    </div>

    <div class="clsCB"></div>

    <div id="idList">
        <table cellpadding="0" cellspacing="0">
            <thead>
                <tr>
                    <th width="50px" align="left" style="border-right: none; padding-left: 5px; padding-right: 0px;" class="clsBorderRTopLeft">
                       <?= $oPaginator->first( __("First", $sLang,true), $oHtml->image( array( "style" => "margin-bottom:2px;", "src" => "global/first.png", "alt" => __("First", $sLang, true), "title" => __("First", $sLang, true) ) , true ) ); ?>
                       <?= $oPaginator->prev( __("Previous", $sLang,true), $oHtml->image( array( "src" => "global/previous.png", "alt" => __("Previous", $sLang, true), "title" => __("Previous", $sLang, true) ) , true ) ); ?>
                    </th>
                      
                            <th class="clsBorderDark clsBorderClear">
                       <?= $oPaginator->sort("text",__( "text" , $sLang, true)); ?>
                        <div class="clsOrderTab"><?= $oPaginator->sort("text","▼"); ?></div>
                    </th>
                            <th class="clsBorderDark clsBorderClear">
                       <?= $oPaginator->sort("date",__( "date" , $sLang, true)); ?>
                        <div class="clsOrderTab"><?= $oPaginator->sort("date","▼"); ?></div>
                    </th>                      
                            
                    <th width="200px" valign="top" align="right"style="border-left: none; padding-left: 0px; padding-right: 5px;" class="clsBorderRTopRight">
                        <?= $oPaginator->next(__("Next", $sLang,true), $oHtml->image( array( "src" => "global/next.png", "alt" => __("Next", $sLang, true), "title" => __("Next", $sLang, true) ) , true ) ); ?>
                        <?= $oPaginator->last(__("Last", $sLang,true), $oHtml->image( array(  "style" => "margin-bottom:2px;", "src" => "global/last.png", "alt" => __("Last", $sLang, true), "title" => __("Last", $sLang, true) ) , true ) ); ?>
                    </th>
                </tr>
            </thead>
            <tfoot>
                <tr style="margin-left:-10px;">
                    <td colspan="13" class="clsBorderRBottomLeft clsBorderRBottomRight">

                    </td>
                </tr>
            </tfoot>

            <tbody>
                 <?php
                        $i = 0;

                        foreach ($someData as $oRow) {
                            $sClass = "";
                            if($i%2 == 0)
                            {
                                $sClass = "clsAltrow";
                            }
                            $i++;
                            $sSpan = "";
                            if ($sLastInserted == $oRow["id"] )
                            {
                                $sClass=" clsLastInserted ";
                                $sSpan= $oHtml->image( array( "src" => "global/new.png", "alt" => __("New", $sLang, true), "title" => __("New", $sLang, true) , "style" => "margin-left:-5px;" ) , true );
                            }
                            else
                            {
                                $sSpan="<div class='clsNoLast clsHP'></div>";
                            }

                    ?>
                    <tr class="<?= $sClass ?>">
                        <td class="clsBorderTableL"><?= $sSpan; ?></td>
                        
                            <td><?= $oRow["text"]; ?></td>
                            <td><?= $oRow["date"]; ?></td>                           
                            
                        <td id="idActions" colspan="2" align="right" class="clsBorderTableR" style=" padding-right: 30px;">
                            
                            <?php
                            if ($oRow["admins_source_id"] == $oSession->__get("idadmin"))
                            {                                
                            ?>
                            <div class="clsDeleteAgenda clsHP">
                               <a href="#" <?= $oAjax->confirm( $oHtml->link( 'delete/'.$oRow['id'] ) , __( "Are you sure that you want delete this Timeline?", $sLang, true ) ); ?> target="_self">
                                   <?php $oHtml->image( array( "src" => "global/delete.png", "alt" => __("Delete", $sLang, true), "title" => __("Delete", $sLang, true) ) ); ?>
                               </a>
                            </div>
                            <?php
                                if ($oRow["state"] != C_TIMELINE_STATE_PENDING)  
                                {
                                    if ($oRow["state"] == C_TIMELINE_STATE_ACCEPTED)
                                    { ?>
                                        <div style="color:green; font-weight: bold;"><?= __("Accepted",$sLang) ?></div>
                                    <?php
                                    }
                                    else
                                    { ?>
                                        <div style="color:red; font-weight: bold;"><?= __("Rejected",$sLang) ?></div>
                                    <?php
                                    }
                                }
                            }
                            else
                            { 
                              if ($oRow["state"] == C_TIMELINE_STATE_PENDING)  
                              {
                                  ?>
                                    <div class="clsHP">
                                        <a href="<?= $oHtml->link("accept/".$oRow['id']); ?>"><?= __("Accept",$sLang); ?></a>
                                    </div>
                                    <div class="clsHP" style="margin-left:10px;">
                                        <a href="<?= $oHtml->link("reject/".$oRow['id']); ?>"><?= __("Reject",$sLang); ?></a>
                                    </div>
                                <?php
                              }
                              else
                              {
                                    if ($oRow["state"] == C_TIMELINE_STATE_ACCEPTED)
                                    { ?>
                                        <div style="color:green; font-weight: bold;"><?= __("Accepted",$sLang) ?></div>
                                    <?php
                                    }
                                    else
                                    { ?>
                                        <div style="color:red; font-weight: bold;"><?= __("Rejected",$sLang) ?></div>
                                    <?php
                                    }
                                    
                              }
                            }
                            ?>
                            
                        </td>
                    </tr>


                <?php }//End Foreach ?>
            </tbody>
        </table>

        <div id="idPagination2">
            <span  class="clsPaginationTab">
                <?php echo $oPaginator->prev( __("Previous", $sLang,true), $oHtml->image( array( "src" => "global/previous2.png", "alt" => __("Previous", $sLang, true), "title" => __("Previous", $sLang, true) ) , true ) ); ?>
            </span>
            <?php echo $oPaginator->numberedPage(); ?>
            <span class="clsPaginationTab">
            <?php echo $oPaginator->next(__("Next", $sLang,true), $oHtml->image( array( "src" => "global/next2.png", "alt" => __("Next", $sLang, true), "title" => __("Next", $sLang, true) ) , true ) ); ?>
            </span>
        </div>
        <div class="clsCB"></div>
    </div>
    <div class="clsCB"></div>
</div>