<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es-ES" lang="es-ES">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="description" content="<?php echo $sPageMetaDescription; ?>" />
        <meta name="keywords" content="<?php echo $sPageMetaKeywords; ?>" />

        <!-- Page Title-->
        <title><?php echo $sPageTitle; ?></title>

        <!-- Short icon -->
        <link rel="SHORTCUT ICON" href="<?php $oHtml->image( "header/shorticon.ico" , false , true ); ?>" />

        <!-- Fixed css files -->
        <?php $oHtml->css("footer.css"); ?>        
        <?php $oHtml->css("style.css"); ?>

        <!-- Variable css files -->
        <?php
            if(isset($someCss)){
                foreach($someCss as $sCss)
                {
                    $oHtml->css($sCss);
                }
            }
        ?>

        <!-- Variable js files -->
        <script type="text/javascript">
            sSave = "<?php __("Save", $sLang); ?>";
            sAccept = "<?php __("Accept", $sLang); ?>";
            sCancel = "<?php __("Cancel", $sLang); ?>";
            sDelete = "<?php __("Delete", $sLang); ?>";
            sConfirm = "<?php __("Confirm", $sLang); ?>";
            sUnConfirm = "<?php __("Un Confirm", $sLang); ?>";
        </script>
        <?php $oAjax->js(C_JS_JVFRM); ?>
        <?php $oAjax->js(C_JS_JVFRME); ?>
        <?php $oAjax->js('constants.js'); ?>
        <?php $oAjax->js('functions.js'); ?>
        <?php $oAjax->js('behaviours.js'); ?>
        <?php $oAjax->js('alerts/jquery.alerts.js'); ?>

        <link href="<?php $oAjax->js('alerts/jquery.alerts.css', false , true ); ?>" rel="stylesheet" type="text/css" media="screen" />
        <?php
            if(isset($someJavascripts)){
                foreach($someJavascripts as $sJavascript)
                {
                    $oAjax->js( $sJavascript );
                }
            }
        ?>
  
    </head>
    <body class="cP">
        <div id="idRecipient" >            
            <div id="idContent" style="margin: 0px 0px;">

                <?php
                    $this->element("messages",array( "sMType" => "ajax" ));
                ?>
                <?php echo $content; ?>
            </div>
            
        </div>
        <div class="clsCB"></div>
        <?php require_once('footer.php'); ?>
    </body>
</html>