<?php

/**
 * Pattern Singleton to manage database connection through a CConnectionManager
 * @author Nubesis http://www.nubesis.com
 * @copyright Nubesis S.L.
 */

class CConnectionManager
{
  protected $_sUser;
  protected $_sPassword;
  protected $_sHost;
  protected $_sBda;

  protected $_oConnection;




/**
 * Class constructor. Here the class gets the values for database, user, password and
 * the way to connect to the database.
 * @return
 */
  protected function CConnectionManager()
  {
     
  }

  /**
   * This function get an object with the connection of the database. It's the result of a mysql_connect function. You can verify
   * the connection by if(!$_oConnection).
   * @return returns an object with the connection manager of the database.
   * 
   */
  public function getConnection()
  {
    try {
        return $this->_oConnection;
    }
    catch(CException $e) {
        throw $e;
    }
  }

  /**
   * We select the database of the $this->_sBda attribute.
   * @return void
   */
  public function selectDataBase() {
      try {
  	return mysql_select_db($this->_sBda);
      }
      catch(CException $e) {
          throw $e;
      }
  }

  /**
   * We close the connection to the database
   * @return void
   */
  public function closeConnection() {
      try {

  	mysql_close($this->_oConnection);
      }
      catch(CException $e) {
          throw $e;
      }
  }

  public function get_sBda() {
      try {

  	return $this->_sBda;
      }
      catch(CException $e) {
          throw $e;
      }
  }

  public function get_sPassword() {
      try {

  	return $this->_sPassword;
      }
      catch(CException $e) {
          throw $e;
      }
  }

  public function get_sHost() {
      try {

  	return $this->_sHost;
      }
      catch(CException $e) {
          throw $e;
      }
  }

  public function get_sUser() {
      try {

  	return $this->_sUser;
      }
      catch(CException $e) {
          throw $e;
      }
  }

}

?>
