<?php
/**
 * Class that extends Exception to manage our own Exceptions. *
 * @author Nubesis http://www.nubesis.com
 * @copyright Nubesis S.L.
 */
class CException extends Exception {

    public $file;
    public $line;

    public function errorHandler($errno, $errstr, $errfile, $errline) {
      $e = new self();
      $e->message = $errstr;
      $e->code = $errno;
      $e->file = $errfile;
      $e->line = $errline;
      throw $e;
    }

    public function setMessage($p_sMessage) {
            $message = $p_sMessage;
    }

    public function setCode($p_iCode) {
            $code = $p_iCode;
    }

    public function setFile($p_sFile) {
            $file = $p_sFile;
    }

    
}

//if you want downgrade errors, we must add E_ALL ^ E_NOTICE. Like we have deleted E_NOTICE the system will
//show the messages by the standard web page, not like an exception.
set_error_handler(array('CException', 'errorHandler'), E_ALL);
?>
