<?php


/**
 * This class builds the file CBaseIni.php automatically. This file
 * is needed to the correct configuration of the project.
 *
 * @author raurope
 */
class CBaseIniBuilder extends CBuilder{

    /**
     * The begin of the file that will be generated automatically
     * @var <type>
     */
    private $_sIniBaseIni = '<?php
        class CBaseIni{
        /**
         * @var <array> It is an array with the controller values and params
         */
        public $_someInitValues = array(
                ';

    /**
     * The end of the file that will be generated automatically
     * @var <type>
     */
    private $_sEndBaseIni = '
        );

        /**
         * Constructor.
         */
        public function CBaseIni() {

        }

    }//End of class
    ?>';

    

    /**
     * This is the path where are the controllers. It will be used to read automatically all the controlelrs
     * @var <type> String with path
     */
    private $_sPath = "../controllers/";

    /**
     * This is the name of the file that will be generated automatically.
     * @var <type> String with the name of the file that will be generated automatically
     */
    private $_sFileRoute = "../CBaseIni.php";

    /**
     * Constructor of the class
     * @param <type> $p_sFolder the main root directory of the application inside public apache folder
     */
    public function CBaseIniBuilder($p_sFolder) {
       $this->_sFolder = $p_sFolder;
    }

    /**
     * Builds the content of the file CBaseIni.
     * @return <type>
     */
    public function createCBaseIni()
    {
        
        //Create variables
        $sRoot = substr($this->get_sFolder(), 1);
        $sResult = $this->get_sIniBaseIni();
        $someControllers = $this->getFilesControllers($this->_sPath);
        $sResult .= $this->createHashTable($someControllers, $sRoot);
        $sResult .= $this->_sEndBaseIni;
        $sReturn = $this->createFile($this->_sFileRoute, $sResult);

        return $sReturn;
    }

    public function get_sPath() {
        return $this->_sPath;
    }

 
    public function get_sFileRoute() {
        return $this->_sFileRoute;
    }

    public function get_sIniBaseIni() {
        return $this->_sIniBaseIni;
    }

    public function get_sEndBaseIni() {
        return $this->_sEndBaseIni;
    }

}
?>
