<?php /**
     * Short description of class {sClassName}
     *
     * @access private
     * @author NUBESIS, <info@nubesis.com>
     */

     class {sClassName} extends CAppController {

        public function {sClassName}(){
            parent::CAppController();
            $this->setType( {sTypeController} );
        }
        public function index() {
            try {
                $someValues = array(
                    'p_sColumns' => '*',
                    'p_sOrder' => 'id desc',
                    'p_sLimit' => '20');

                $someData = $this->paginate('{sClassModel}', 'index', '{sTableName}',$someValues);

                $sLastInserted = 0;
                if ( isset ($this->_someParameters[0]) )
                    $sLastInserted = $this->_someParameters[0];

                $someColumns = $this->{oTable}->describeColumns('{sTableName}',true);
                $this->_oView->add('someColumns',$someColumns);
                $this->_oView->add('someData',$someData);

                $this->_oView->add('sLastInserted',$sLastInserted);
                $this->_oLayout->add('iMenu',C_HEADER_MENU_TYPE_SIMPLE_GREEN);
                $this->_oLayout->add('sTitleMenu',"{sTableNameWithoutLast}s");
                $this->_oLayout->add('sImageMenu',"global/submenu/{sTableName}icon.png");
                $this->_oLayout->add('sButton',C_HEADER_MAIN_MENU_DASHBOARD);
                $this->getComponent('CBreadcrumbComponent')->add(1, __("{sTableNameWithoutLast}s" , $this->_sLanguage , true) , '{sTableName}', "index");
             }
             catch(CException $e) {
                throw $e;
             }

        }

        public function edit($iId = null) {
            try {
                if($iId != null)
                {
                    if(isset($this->_someParameters['data']))
                    {
                        $sWhere = 'id = '.$iId;

                        if($this->{oTable}->update($this->_someParameters['data'],$sWhere,false) == C_WARNING_UPDATEDOK)
                        {
                             //First we have to call the index View to create variables that will be used in the View
                            $this->index();

                            //Second we have to set the view that will show the controller
                            $this->_oView->set_sView('index.php');

                            $this->_oLayout->add('sTextMessage','Edit {sTableNameWithoutLast}');

                            $this->_oLayout->add('sTypeMessage',C_MESSAGE_OK);
                        }
                        else
                        {
                            $this->_oView->add('someData',$this->_someParameters['data']);
                            $this->_oLayout->add('sTextMessage','{sTableNameWithoutLast} NOT edited');
                            $this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                        }

                    }
                    else
                    {
                        $sWhere = 'id = '.$iId;

                        $someValues = array(
                            'p_sColumns' => '*',
                            'p_sWhere' => $sWhere);

                        if($this->{oTable}->select($someValues) == C_WARNING_SELECTEDOK)
                        {
                            $someData = $this->{oTable}->get_someData();

                            $someValues['{sTableName}'] = $someData[0];

                            $this->_oView->add('someData',$someValues);
                        }
                        else
                        {
                             //First we have to call the index View to create variables that will be used in the View
                            $this->index();

                            //Second we have to set the view that will show the controller
                            $this->_oView->set_sView('index.php');

                            $this->_oLayout->add('sTextMessage','{sTableNameWithoutLast} not found');

                            $this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                        }

                    }

                    $this->_oView->add('iId',$iId);

                }
                else
                {
                     //First we have to call the index View to create variables that will be used in the View
                    $this->index();

                    //Second we have to set the view that will show the controller
                    $this->_oView->set_sView('index.php');

                    $this->_oLayout->add('sTextMessage','Missing id');
                    $this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                }
                $this->_oLayout->add('iMenu',C_HEADER_MENU_TYPE_SIMPLE_GREEN);
                $this->_oLayout->add('sTitleMenu',__("Edit {sTableNameWithoutLast}" , $this->_sLanguage , true));
                $this->_oLayout->add('sImageMenu',"global/submenu/{sTableName}icon.png");
                $this->_oLayout->add('sButton',C_HEADER_MAIN_MENU_DASHBOARD);
                $this->getComponent('CBreadcrumbComponent')->add(2, __("Edit {sTableNameWithoutLast}" , $this->_sLanguage , true) , '{sTableName}', "edit/$iId");
           }
           catch(CException $e) {
                throw $e;
           }

        }

        public function add() {
            try {
                if(isset($this->_someParameters['data']))
                {
                    if($this->{oTable}->insert( $this->_someParameters['data'] ) == C_WARNING_INSERTEDOK)
                    {
                         //First we have to call the index View to create variables that will be used in the View
                        $this->index();

                        //Second we have to set the view that will show the controller
                        $this->_oView->set_sView('index.php');
                        $this->_oView->add('sLastInserted' , $this->{oTable}->get_iIdLastInserted() );
                        $this->_oLayout->add('sTextMessage','New {sTableNameWithoutLast} inserted');
                        $this->_oLayout->add('sTypeMessage',C_MESSAGE_OK);
                    }
                    else
                    {
                        $this->_oView->add('someData',$this->_someParameters['data']);
                        $this->_oLayout->add('sTextMessage','New {sTableNameWithoutLast} NOT inserted');
                        $this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                    }
                }
                $this->_oLayout->add('iMenu',C_HEADER_MENU_TYPE_SIMPLE_GREEN);
                $this->_oLayout->add('sTitleMenu',__("Add {sTableNameWithoutLast}" , $this->_sLanguage , true));
                $this->_oLayout->add('sImageMenu',"global/submenu/{sTableName}icon.png");
                $this->_oLayout->add('sButton',C_HEADER_MAIN_MENU_DASHBOARD);
                $this->getComponent('CBreadcrumbComponent')->add(2, __("Add {sTableNameWithoutLast}" , $this->_sLanguage , true) , '{sTableName}', "add");
            }
            catch(CException $e) {
                throw $e;
            }
         }

        public function delete( $p_iId = null ) {
            try {
                 //First we have to call the index View to create variables that will be used in the View
                $this->index();

                //if you want to add extra operations to this method, you will have to do it here
                //first we have to delete
                if ( !is_null($p_iId) ) {

                    $iReturnedValue = $this->{oTable}->delete($this->{oTable}->get_sTable(), 'id = '.$p_iId);
                    //if the delete operation success, we will show a message with 'deleted correctly'
                    if ($iReturnedValue == C_WARNING_DELETEOK) {
                        $this->_oLayout->add('sTextMessage', __("Operation executed successfully",$this->_sLanguage, true));
                        $this->_oLayout->add('sTypeMessage',C_MESSAGE_OK);
                    }
                    else {
                        $this->_oLayout->add('sTextMessage', __("Operation NOT executed successffuly",$this->_sLanguage, true));
                        $this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                    }

                }
                //if you want to add extra operations to this method, you will have to do it here

                $this->_oView->set_sView('index.php');
             }
             catch(CException $e) {
                throw $e;
             }
        }

        public function search() {
            try {
                $someParameters = $this->get_someParameters();
                if (isset($someParameters) && isset($someParameters['data'])) {
                      $sText = $someParameters['nameIptSearchValue'];
                      $sField = $someParameters['data']['search']['field'];
                      $sTextUpper = strtoupper(utf8_decode($sText));
                      $sTextLower = strtolower(utf8_decode($sText));

                      $someValues = array(
                            'p_sColumns' => '*',
                            'p_sWhere' => $sField.' LIKE "'.$sText.'" OR '.$sField.' LIKE "'.$sTextLower.'" OR '.$sField.' LIKE "'.$sTextUpper.'"',
                            'p_sLimit' => '30');
                      $someData = $this->paginate('{sClassModel}', 'index', '{sTableName}',$someValues);

                      $someColumns = $this->{oTable}->describeColumns('{sTableName}',true);
                      $this->_oView->add('someColumns',$someColumns);
                      $this->_oView->add('someData',$someData);
                      $this->_oView->set_sView('index.php');
                }
                $this->_oView->add('sLastInserted',0);
                $this->_oLayout->add('iMenu',C_HEADER_MENU_TYPE_FULL_GREEN);
                $this->_oLayout->add('sTitleMenu',"{sTableNameWithoutLast}s");
                $this->_oLayout->add('sImageMenu',"global/{sTableName}icon.png");
                $this->_oLayout->add('sButton',C_HEADER_MAIN_MENU_DASHBOARD);
                $this->getComponent('CBreadcrumbComponent')->add(1, __("{sTableNameWithoutLast}s" , $this->_sLanguage , true) , '{sTableName}', "index");
            }
            catch(CException $e) {
                throw $e;
            }
        }
    }
?>