(function( $ ) {
        $.widget( "ui.schedule", {
                options:{
                    appendTo:"body",
                    autoRefresh:true,
                    distance:0,
                    filter:"input",
                    value:"0",
                    tolerance:"touch",
                    changeTo: "1",
                    optionsArray : new Array(),
                    exceptValue : -1
                },
                _create: function() {
                        var self = this,
                        ul = this.element;
                        var f,i=0;
                        var now = new Date();
                        i = now.getTime();
                        f=$(self.options.filter,self.element[0]);
                        f.each(function(){
                            var c=$(this);
                            var input = c.hide().addClass("ui-input-select"+i);

                            var value = $(input).val();
                            var sClass = "";
                            var sText = "";

                            $.each(self.options.optionsArray,function(){
                                if(this.value == value)
                                {
                                    sClass = this.cls;
                                    sText = this.text;
                                }
                            });

                            var li = $( "<li class='" + sClass + "'>" + sText + "</li><" )
                                .insertAfter( input )
                                .addClass("ui-li-select"+i);
                            i++;
                        });
                        ul.selectable({
                            "filter" : "li",
                            selected: function(event, ui) {
                                $(this).schedule("up",{
                                    "object" : ui.selected
                                });
                            }
                        });
                },
                setExcept: function(o) {
                    this.options.exceptValue = o.exceptValue;
                },
                addOptionsArray: function( o ) {
                    this.options.optionsArray.push( o.arrayItem);
                },
                up: function( v ) {
                    var object = v.object;

                    var someClasses = object.className;

                    var firstSplit = someClasses.split(/ui-li-select/);                    
                    var auxSplit = "";
                    if (typeof firstSplit[1] == "undefined")
                    {
                        auxSplit = firstSplit[0];
                    }
                    else
                    {
                        auxSplit = firstSplit[1];
                    }

                    var secondSplit = auxSplit.split(/ /)[0];
                    var sItem = secondSplit;
//                    var sItem = someClasses.split(/ui-li-select/)[1].split(/ /)[0];

                    var iIptValue = parseInt( $(".ui-input-select"+sItem).val() );

                    if( iIptValue != this.options.exceptValue )
                    {
                        var iValue = parseInt(this.options.changeTo);

                        $(".ui-input-select"+sItem).val(iValue);

                        var sClass = "";var sOldClass = "";var sText = "";

                        $.each(this.options.optionsArray,function(){
                            if(this.value == iValue)
                            {
                                sClass = this.cls;
                                sText = this.text;
                            }
                            sOldClass += this.cls + " ";
                        });

                        $(".ui-li-select"+sItem).removeClass(sOldClass);
                        $(".ui-li-select"+sItem).addClass(sClass);
                        $(".ui-li-select"+sItem).html(sText);
                    }
                },
                changeTo: function( o ) {
                    this.options.changeTo = o.changeTo;
                }
        });
})( jQuery );