<?php
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


  class CCsvsController extends CAppController {

      public function CCsvsController() {
          parent::CAppController();
          $this->setType( C_PLUGINS );
          $this->_someModels = array("CUser","CEvent","CAgenda");
          
           
      }

      public function index() {
          try {

           
          }
          catch(CException $e) {
              throw $e;
          }
      }



      public function exportevents($p_sValidationCode, $p_sDateFrom, $p_sDateTo, $p_iIdAgenda = null, $p_iIdUser = null) {
          try
          {
                $oSession = new CAppSession();
                $sValidationDecrypt = $oSession->decrypt($p_sValidationCode);
                if (strcasecmp($sValidationDecrypt,C_MAIL_CSVPASS) != 0) die();  //it will check the code and die if it's different

                
                $sStartDate = $oSession->decrypt($p_sDateFrom);
                $sDateTo = $oSession->decrypt($p_sDateTo);
                $iIdUser = $oSession->decrypt($p_iIdUser);
                $iIdAgenda = $oSession->decrypt($p_iIdAgenda);

                $someUsers = array();
                if (($iIdAgenda != null) && ($iIdAgenda != "") && (strcasecmp($iIdAgenda,"null") != 0))
                {
                    $iIdAgenda = $iIdAgenda-C_CSV_IDAGENDAPLUS;
                    $someUsers = $this->_oUser->get_someUsersByAgendaId($iIdAgenda);
                }

                if (($iIdUser != null) && ($iIdUser != "") && (strcasecmp($iIdUser,"null") != 0))
                {
                    $iIdUser = $iIdUser-C_CSV_IDAGENDAPLUS;
                    $someUsers = $this->_oUser->get_someUsersById($iIdUser);
                }

                
                if ((count($someUsers) > 0) && (isset($someUsers[0]["id"]))) {

                
                    $iIdCompany = $someUsers[0]["id"];

                    $someAgendas = $this->_oAgenda->get_someAgendasByUserID($iIdCompany);
                    $someAgendasIds = array();
                    for ($i=0;$i<count($someAgendas);$i++)
                    {
                        $someAgendasIds[] = $someAgendas[$i]["id"];
                    }

                    if (($iIdAgenda == null) || (strcasecmp($iIdAgenda,"null") == 0)) //it has to get the events for all agendas
                    {
                        $someEvents = $this->_oEvent->get_someEventsDataClientByDateAgenda($sStartDate, $sDateTo,
                                array(implode(",", $someAgendasIds)));

                    }
                    else //it has to get the events for an agenda
                    {
                        if (in_array($iIdAgenda, $someAgendasIds))
                        {
                            $someEvents = $this->_oEvent->get_someEventsDataClientByDateAgenda($sStartDate, $sDateTo,array($iIdAgenda));
                        }
                        else //the user is trying to access to an invalid agenda
                        {
                            die();
                        }
                    }

                    //Now it will build the csv
                    $someRows = array();
                    $someRows[] = array(
                                    __("Document",$this->_sLanguage,true),
                                    __("Name",$this->_sLanguage,true),
                                    __("Date",$this->_sLanguage,true),
                                    __("Hour",$this->_sLanguage,true),
                                    __("Agenda",$this->_sLanguage,true)
                                  );


                    //now it will get only the correct columns
                    $someEventsFilteredCols = array();
                    for ($i=0;$i<count($someEvents);$i++)
                    {
                        $someEventsFilteredCols[$i]["document"] = $someEvents[$i]["document"];
                        $someEventsFilteredCols[$i]["name"] = $someEvents[$i]["name"];
                        $someEventsFilteredCols[$i]["start_date"] = renderNormalDate($someEvents[$i]["start_date"]);
                        $someEventsFilteredCols[$i]["start_time"] = renderHour($someEvents[$i]["start_time"]);
                        $someEventsFilteredCols[$i]["agendaname"] = $someEvents[$i]["agendaname"];
                    }

                    $someRows = array_merge($someRows, $someEventsFilteredCols);

                    $this->_oView->set_sView("export.php");
                    $this->export($someRows, "events");

                }

                        
          }
          catch(CException $e)
          {
            throw $e;
          }

      }
      
      public function printcsvfile($p_sValidationCode, $p_someArray = array() , $p_sName = "" , $bPost = false) {
          try
          {
                $oSession = new CAppSession();
                $sValidationDecrypt = $oSession->decrypt($p_sValidationCode);
                if (strcasecmp($sValidationDecrypt,C_MAIL_CSVPASS) != 0) die();  //it will check the code and die if it's different

                if( $bPost )
                    $p_someArray = parseSentArray ( $_POST['arraytocsv'] );
                
                $this->_oView->set_sView("export.php");
                $this->export($p_someArray, $p_sName);
          }
          catch(CException $e)
          {
            throw $e;
          }

      }

      /**
       * This method exports the users database in csv format
       * @return <type>
       */
      public function export($p_someRows, $p_sName) {
           try
           {

               $someCodes = array();
               $somePagesOfCodes = array();
               $this->_sLayout = 'ajax';

               $sFileName = $p_sName."_".mktime().".csv";
               $this->_oCsv->savetocsv($p_someRows,$sFileName);

               $this->_oView->add("sPathCsv",C_ROOT.DIRECTORY_SEPARATOR."app".DIRECTORY_SEPARATOR."uploads".DIRECTORY_SEPARATOR."csv".DIRECTORY_SEPARATOR);
               $this->_oView->add("sFileName",$sFileName);

            }
            catch(CException $e) {
                throw $e;
            }

            return $sFileName;
           
      }


   

  }




?>
