<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of CScaffoldBuilder
 *
 * @author raurope
 */
class CScaffoldBuilder extends CBuilder {
    //put your code here

    public function CScaffoldBuilder() {

    }

    public function createScaffolding($p_someTablesToScaff, $p_sViewDirectory) {
        $this->createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory, "add");
        $this->createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory, "edit");
        $this->createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory);
        $this->createScaffoldController($p_someTablesToScaff, $p_sViewDirectory);
        $this->createScaffoldModel($p_someTablesToScaff,$p_sViewDirectory);
    }

    public function createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory, $p_sMode = "index") {


        foreach ($p_someTablesToScaff as $sTableName) {
            //     ../../app/views/frontend/directorytableplural/
            if ($p_sViewDirectory == "plugins") {
                $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                    "app".DIRECTORY_SEPARATOR.$p_sViewDirectory.DIRECTORY_SEPARATOR
                    .$sTableName.DIRECTORY_SEPARATOR;

            }
            else {
            $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                    "app".DIRECTORY_SEPARATOR."views".DIRECTORY_SEPARATOR.
                    $p_sViewDirectory.DIRECTORY_SEPARATOR.$sTableName.DIRECTORY_SEPARATOR;
            }
            if (!file_exists($sPath)) {
                //we create the directory for scaffold. It will be the reference to our table to do CRUD actions.
                echo "\nBUILDING DIRECTORY:". $sPath."\n";
                mkdir($sPath);
                if ($p_sViewDirectory == "plugins") {
                    echo "\nBUILDING DIRECTORY: \n".$sPath."controllers".DIRECTORY_SEPARATOR;
                    mkdir($sPath."controllers".DIRECTORY_SEPARATOR);
                    echo "\nBUILDING DIRECTORY: \n".$sPath."models".DIRECTORY_SEPARATOR;
                    mkdir($sPath."models".DIRECTORY_SEPARATOR);
                    echo "\nBUILDING DIRECTORY: \n".$sPath."views".DIRECTORY_SEPARATOR;
                    $sPath = $sPath."views".DIRECTORY_SEPARATOR;
                    mkdir($sPath);
                }
            }
            else {
                if ($p_sViewDirectory == "plugins") {
                    if (!file_exists($sPath."controllers".DIRECTORY_SEPARATOR)) {
                        echo "\nBUILDING DIRECTORY: \n".$sPath."controllers".DIRECTORY_SEPARATOR;
                        mkdir($sPath."controllers".DIRECTORY_SEPARATOR);
                    }

                    if (!file_exists($sPath."models".DIRECTORY_SEPARATOR)) {
                        echo "\nBUILDING DIRECTORY: \n".$sPath."models".DIRECTORY_SEPARATOR;
                        mkdir($sPath."models".DIRECTORY_SEPARATOR);
                    }
                    if (file_exists($sPath."views".DIRECTORY_SEPARATOR)) {
                        $sPath = $sPath."views".DIRECTORY_SEPARATOR;
                    }
                    else {
                        echo "\nBUILDING DIRECTORY: \n".$sPath."views".DIRECTORY_SEPARATOR;
                        $sPath = $sPath."views".DIRECTORY_SEPARATOR;
                        mkdir($sPath);
                    }
                }
            }


            if (is_dir($sPath)) {
                if (strcasecmp($p_sMode,"add") == 0) {
                    echo "\nBUILDING FILE:".$sPath."add.php \n";
                    $this->createFile($sPath."add.php", $this->createContentViewNewFile($sTableName));
                }
                elseif (strcasecmp($p_sMode,"edit") == 0) {
                    echo "\nBUILDING FILE:".$sPath."edit.php \n";
                    $this->createFile($sPath."edit.php", $this->createContentViewEditFile($sTableName));
                }
                else {
                    echo "\nBUILDING FILE:".$sPath."index.php \n";
                    $this->createFile($sPath."index.php", $this->createContentViewIndexFile($sTableName));
                }
            }
        }
    }

    public function createScaffoldController($p_someTablesToScaff,$p_sViewDirectory) {

         foreach ($p_someTablesToScaff as $sTableName) {

           //     ../../app/views/frontend/directorytableplural/
            if ($p_sViewDirectory == "plugins") {
                $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                    "app".DIRECTORY_SEPARATOR.$p_sViewDirectory.DIRECTORY_SEPARATOR
                    .$sTableName.DIRECTORY_SEPARATOR."controllers".DIRECTORY_SEPARATOR;


            }
            else {
            $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                    "app".DIRECTORY_SEPARATOR."controllers".DIRECTORY_SEPARATOR;
            }



           if (is_dir($sPath)) {
                echo "\n BUILDING FILE: ".$sPath."C".ucfirst($sTableName)."Controller.php \n";
                $sContent = $this->buildContentController("C".ucfirst($sTableName)."Controller", $sTableName, "C".ucfirst(substr($sTableName,0,-1)), $p_sViewDirectory);
                $this->createFile($sPath."C".ucfirst($sTableName)."Controller.php",$sContent);
           }
         }
    }

    public function createScaffoldModel($p_someTablesToScaff,$p_sViewDirectory) {
          foreach ($p_someTablesToScaff as $sTableName) {
               //     ../../app/views/frontend/directorytableplural/
                if ($p_sViewDirectory == "plugins") {
                    $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                        "app".DIRECTORY_SEPARATOR.$p_sViewDirectory.DIRECTORY_SEPARATOR
                        .$sTableName.DIRECTORY_SEPARATOR."models".DIRECTORY_SEPARATOR;


                }
                else {
                $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                        "app".DIRECTORY_SEPARATOR."models".DIRECTORY_SEPARATOR;
                }

                if (is_dir($sPath)) {
                    echo "\n BUILDING FILE: ".$sPath."C".ucfirst(substr($sTableName,0,-1)).".php \n";
                    $sContent = $this->buildContentModel("C".ucfirst(substr($sTableName,0,-1)),$sTableName);
                    $this->createFile($sPath."C".ucfirst(substr($sTableName,0,-1)).".php",$sContent);
               }
        }
    }

    /**
     * This funciton builds the content for each CController class
     * @param <type> $p_sClassName
     * @param <type> $p_sTableName
     * @param <type> $p_sClassModel
     * @param <type> $p_sViewDirectory
     * @return <type> 
     */
    private function buildContentController($p_sClassName, $p_sTableName, $p_sClassModel, $p_sViewDirectory) {
        $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
        $oTable = "_o".$sTableNameWithoutLast;
        $sTypeController = "C_FRONTEND";
        if ($p_sViewDirectory == "backend") $sTypeController = "C_BACKEND";
        elseif ($p_sViewDirectory == "plugins") $sTypeController = "C_PLUGINS";
        
        require_once("CTemplate.php");
	$ContentTemplate = new CTemplate("controllers/CSeedController");
        $ContentTemplate->set_someVars(array(
					"sClassName" => $p_sClassName,
					"sTypeController" => $sTypeController,
					"sClassModel" => $p_sClassModel,
					"sTableName" => $p_sTableName,
					"oTable" => $oTable,
					"sTableNameWithoutLast" => $sTableNameWithoutLast
					));
	return $ContentTemplate->show();
    }

    /**
     * 
     * @param <type> $p_sTableName
     * @return <type>
     */
    private function createContentViewNewFile($p_sTableName) {
        $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
        $sString = "";

        $oCon = CAppConnectionManager::get();
        $oDb = $oCon->getConnection();
        if(!$oDb) {
            echo "** WARNING: DATABASE CONNECTION NOT AVAILABLE. YOU MUST CONFIGURE TO USE SCAFFOLD **";
        }
        else {
           //select database
            echo "** DATABASE CONNECTION - OK. ** \n";

            if ($oCon->selectDataBase() == true) {
                $oModel = new CModel();
                if (!$oModel->existsTable($p_sTableName)) return;
                $someResults = $oModel->describe($p_sTableName);

                foreach($oModel->_someInfoData as $oSomeInfoData) {
                    //if you want to show auto_increment fields you must change this line
                    if (isset($oSomeInfoData["Extra"]) && (strcasecmp($oSomeInfoData["Extra"],"auto_increment") != 0)) {
                        $someFields[] = $oSomeInfoData["Field"];
                    }
                }

                require_once("CTemplate.php");

                $sContentRow = "";
                $iCount = 0;
                foreach($someFields as $sField) {
                    $ContentTemplate = new CTemplate("views/contentRowAdd");
                    $ContentTemplate->set_someVars(array(
                                                    "sField" => $sField,
                                                    "sTableName" => $p_sTableName,
                                                    "iCount" => $iCount,
                                                    "sIdField" => fieldToId( $sField , "id" . $sTableNameWithoutLast)
                                                    ));
                    $sContentRow .= $ContentTemplate->show();
                    $iCount++;
                }


            }
            else {
                echo "**WARNING: DATABASE SELECTION ".$oCon->get_sBda()." DOESN'T EXISTS. ** \n";
            }

        }
        $ContentTemplate = new CTemplate("views/add");
        $ContentTemplate->set_someVars(array(
                                        "sTableName" => $p_sTableName,
                                        "sTableNameWithoutLast" => $sTableNameWithoutLast,
                                        "sClassName" => "C".$sTableNameWithoutLast,
                                        "sContentRow" => $sContentRow
                                        ));
        return $ContentTemplate->show();
    }


private function createContentViewEditFile($p_sTableName) {
   $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
   $sString = "";

    $oCon = CAppConnectionManager::get();
    $oDb = $oCon->getConnection();
    if(!$oDb) {
        echo "** WARNING: DATABASE CONNECTION NOT AVAILABLE. YOU MUST CONFIGURE TO USE SCAFFOLD **";
    }
    else {
        echo "** DATABASE CONNECTION - OK. ** \n";

        if ($oCon->selectDataBase() == true) {
            $oModel = new CModel();
            if (!$oModel->existsTable($p_sTableName)) return;
            $someResults = $oModel->describe($p_sTableName);

            foreach($oModel->_someInfoData as $oSomeInfoData) {
                //if you want to show auto_increment fields you must change this line
                if (isset($oSomeInfoData["Extra"]) && (strcasecmp($oSomeInfoData["Extra"],"auto_increment") != 0)) {
                    $someFields[] = $oSomeInfoData["Field"];
                }
            }

            require_once("CTemplate.php");

            $sContentRow = "";
            foreach($someFields as $sField) {
                $ContentTemplate = new CTemplate("views/contentRowEdit");
                $ContentTemplate->set_someVars(array(
                                                "sField" => $sField,
                                                "sTableName" => $p_sTableName,
                                                "sIdField" => fieldToId( $sField , "id" . $sTableNameWithoutLast)
                                                ));
                $sContentRow .= $ContentTemplate->show();
            }

        }
        else {
            echo "**WARNING: DATABASE SELECTION ".$oCon->get_sBda()." DOESN'T EXISTS. ** \n";
        }




    }

    $ContentTemplate = new CTemplate("views/edit");
    $ContentTemplate->set_someVars(array(
                                    "sTableName" => $p_sTableName,
                                    "sTableNameWithoutLast" => $sTableNameWithoutLast,
                                    "sClassName" => "C".$sTableNameWithoutLast,
                                    "sContentRow" => $sContentRow
                                    ));
    return $ContentTemplate->show();
}

private function createContentViewIndexFile($p_sTableName) {
    /**
     * Compose Variables
     */
    $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
    $oModel = new CModel();
    if (!$oModel->existsTable($p_sTableName)) return;
    $sQuery = "DESCRIBE $p_sTableName ;";
    $iReturnValue = C_ERROR_EXECSQL;
    $oCon = CAppConnectionManager::get();
    $oDb = $oCon->getConnection();
    $someInfoData = array();

    if(!$oDb)
    {
        throw new CException("Error: ".mysql_errno($oDb).':'.mysql_error($oDb),C_ERROR_NOCONNECTION);
    }
    else
    {
        $oConnectionOk = $oCon->selectDataBase();
        $oResult = mysql_query($sQuery);

        if($oResult==FALSE){
            $iReturnValue = C_ERROR_EXECSQL;
        }else{
            if (mysql_num_rows($oResult))
            {
                while($oRow = mysql_fetch_assoc($oResult))
                {
                    $someInfoData[] = $oRow;
                }
            }
        }
    }

    $sOptions = "";
    $sSort = "";
    $sTd = "";
    $iForeachCount = 1;
    foreach ($someInfoData as $infoData)
    {
        $sOptions .= '"'.$infoData['Field'].'"=> "'.$infoData['Field'].'",
                        ';
        if($iForeachCount == 1)
        {
            $sSort .= '<th style="border-left: none;" class="clsBorderClear">
                       <?= $oPaginator->sort("' . $infoData['Field'] . '",__( "' . $infoData['Field'] . '" , $sLang, true)); ?>
                        <div class="clsOrderTab"><?= $oPaginator->sort("' . $infoData['Field'] . '","▼"); ?></div>
                    </th>
                            ';

            $sTd .= '<td class="clsBorderTableL"><?= $sSpan; ?></td><td> <?= $oRow["' . $infoData['Field'] . '"]; ?></td>
                            ';
        }
        else if($iForeachCount == count($someInfoData))
        {
            $sSort .= '<th style="border-right: none;" class="clsBorderDark">
                       <?= $oPaginator->sort("' . $infoData['Field'] . '",__( "' . $infoData['Field'] . '" , $sLang, true)); ?>
                        <div class="clsOrderTab"><?= $oPaginator->sort("' . $infoData['Field'] . '","▼"); ?></div>
                    </th>
                            ';
        }
        else
        {
            $sSort .= '<th class="clsBorderDark clsBorderClear">
                       <?= $oPaginator->sort("' . $infoData['Field'] . '",__( "' . $infoData['Field'] . '" , $sLang, true)); ?>
                        <div class="clsOrderTab"><?= $oPaginator->sort("' . $infoData['Field'] . '","▼"); ?></div>
                    </th>
                            ';
            $sTd .= '<td><?= $oRow["' . $infoData['Field'] . '"]; ?></td>
                            ';
        }

        $iForeachCount ++;
    }

    $iCount = count($someInfoData) + 2;

    require_once("CTemplate.php");
    $ContentTemplate = new CTemplate("views/index");
    $ContentTemplate->set_someVars(array(
                                    "sTableName" => $p_sTableName,
                                    "sTableNameWithoutLast" => $sTableNameWithoutLast,
                                    "sOptions" => $sOptions,
                                    "sSort" => $sSort,
                                    "sTd" => $sTd,
                                    "iCount" => $iCount
                                    ));
    return $ContentTemplate->show();
}



    /**
     * This funciton builds the content for each model class
     * @param <type> $p_sClassName the name of the class
     * @param <type> $p_sTableName the name of the table for modoel
     * @return <type> String with CModel Class.
     */
    private function buildContentModel($p_sClassName, $p_sTableName) {
        require_once("CTemplate.php");
	$ContentTemplate = new CTemplate("models/CSeed");
        $ContentTemplate->set_someVars(array(
					"sClassName" => $p_sClassName,
					"sTableName" => $p_sTableName
					));
	return $ContentTemplate->show();
    }
}
?>
