#!/usr´/bin/php -q
<?php

require_once('../core.php');
require_once("CConsoleDispatcher.php");


$oConsoleDispatcher = new CConsoleDispatcher();

/**===========================
 * MESSAGE CONSOLE
 ===========================*/
echo "**************************************\n";
echo "************ START SCRIPT ************\n";
echo "**************************************\n";
echo "\n";

/**===========================
 * VARIABLES
 ===========================*/




if ($oConsoleDispatcher->get_sScaffoldFront()!="")
    $someTablesToScaffold = explode(",",$oConsoleDispatcher->get_sScaffoldFront());
else
    $someTablesToScaffold = array();

if ($oConsoleDispatcher->get_sScaffoldBack() != "")
    $someTablesToScaffoldBack = explode(",",$oConsoleDispatcher->get_sScaffoldBack());
else
    $someTablesToScaffoldBack = array();

if ($oConsoleDispatcher->get_sScaffoldPlugin() != "")
    $someTablesToScaffoldPlugin = explode(",",$oConsoleDispatcher->get_sScaffoldPlugin());
else
    $someTablesToScaffoldPlugin = array();



/*for ($i=0;$i<count($argv);$i++) {
    $someValues = explode(",",$argv[$i]);
    if(isset($someValues[0])) {
        $sCommand = $someValues[0];
        if (strcasecmp($sCommand, "scaffold") ==0) {
            $someTablesToScaffold = array_slice($someValues,1);
        }
        elseif(strcasecmp($sCommand, "scaffoldback") ==0) {
            $someTablesToScaffoldBack = array_slice($someValues,1);
        }
        elseif((strcasecmp($sCommand, "scaffoldplugin") ==0)) {
            $someTablesToScaffoldPlugin = array_slice($someValues,1);
        }
    }
    else {
        break;
    }
}*/

/**
 * Se tendrá que pasar mediante el script
 */
$sFolder = C_ROOT_KEY;
/**
 * Se tendrá que pasar mediante el script
 */

//Begin file
$sIniBaseIni = '<?php
    class CBaseIni{
    /**
     * @var <array> It is an array with the controller values and params
     */
    public $_someInitValues = array(
            ';

//End file
$sEndBaseIni = '
    );

    /**
     * Constructor.
     */
    public function CBaseIni() {

    }

}//End of class
?>';

$sIniAppIni = '<?php
/**
 * This function manage the names and parameters for the controllers.
 * If you add here new Controllers, dispatcher will could be able to found them
 * and obtain its initial parameters.
 *
 */

class CAppIni extends CBaseIni{

    /**
     * Constructor. Create the wrapper template.
     */
    public function CAppIni() {
        ';

$sIndexControler = 'Mainpages';

if(defined('C_INDEX_CONTROLLER'))
{
    $sIndexControler = C_INDEX_CONTROLLER;
}

$sEndAppIni = '
    }
    /**
     * This function gets the controller that you need
     * @param <String> $p_sController name of the controller to get
     * @return <String> This function returns an associative array with the name and
     * parameters for the controller. If $p_sController is null you will get
     * an associative array with all the controllers and parameters.
     */
    public function get_someInitValue($p_sController = null) {
        if ($p_sController == null) return $this->_someInitValues;
        else {
            return $this->_someInitValues[$p_sController];
        }
    }

}

?>
';

/**===========================
 * ACTIONS
 ===========================*/
echo createScaffolding($someTablesToScaffold,"frontend");

echo createScaffolding($someTablesToScaffoldBack,"backend");

echo createScaffolding($someTablesToScaffoldPlugin,"plugins");

echo createCBaseIni($sFolder ,$sIniBaseIni, $sEndBaseIni );

echo createCAppIni($sFolder, $sIniAppIni, $sEndAppIni);

echo createHtaccess($sFolder);



/**===========================
 * MESSAGE CONSOLE
 ===========================*/
echo "\n";
echo "**************************************\n";
echo "************* END SCRIPT *************\n";
echo "**************************************\n";

/**===========================
 * FUNCTIONS
 ===========================*/

/**
 * This function create CBaseIni file
 * @param <string> $p_sFolder path of folder installation (usually '/').
 * @param <string> $p_sIniBaseIni Initial text for file.
 * @param <string> $p_sEndBaseIni End text for file.
 * @return <string> Message with the result of createFile.
 */
function createCBaseIni($p_sFolder ,$p_sIniBaseIni, $p_sEndBaseIni )
{
    //Create variables
    $sPath = "../controllers/";
    $sRoot = substr($p_sFolder, 1);
    $sFileRoute = '../CBaseIni.php';

    $sResult = $p_sIniBaseIni;

    $someControllers = getFilesControllers($sPath);

    $sResult .= createHashTable($someControllers, $sRoot);

    $sResult .= $p_sEndBaseIni;

    $sReturn = createFile($sFileRoute, $sResult);

    return $sReturn;
}

/**
 * This function create CAppIni file
 * @param <string> $p_sFolder path of folder installation (usually '/').
 * @param <string> $p_sIniAppIni Initial text for file.
 * @param <string> $p_sEndAppIni End text for file.
 * @return <string> Message with the result of createFile.
 */
function createCAppIni($p_sFolder, $p_sIniAppIni, $p_sEndAppIni)
{
    //Create variables
    $sPath = "../../app/controllers/";
    $sRoot = substr($p_sFolder, 1);
    $sFileRoute = '../../app/config/CAppIni.php';

    //C_AppIni start
    $sResult = $p_sIniAppIni;

    //Get PLUGIN controllers
    $sPluginPath = str_replace("controllers/", "", $sPath)."plugins/";
    
    $somePluginsControllers = getFilesPluginsControllers($sPluginPath);
   
    $sResult .= createAddsHashTable($somePluginsControllers, $sRoot, true);
  
    //Get APP controllers
    $someControllers = getFilesControllers($sPath);

    $sResult .= createAddsHashTable($someControllers, $sRoot);

    //C_AppIni end
    $sResult .= $p_sEndAppIni;

    //Create file
    $sReturn = createFile($sFileRoute, $sResult);

    return $sReturn;
}

/**
 * This function get folder controller files
 * @param <string> $p_sPath path of core controllers
 * @param <string> $p_sRoot path of folder installation (usually '/')
 * @return <array> hash table with core controllers
 */
function getFilesControllers($p_sPath)
{
    $oDir = opendir($p_sPath);

    $someControllers = array();

    while ($sElement = readdir($oDir))
    {
        $someElements = explode(".",$sElement) ;
        $sName = $someElements[0] ;
        
        $sExtension = "";
        if(isset ($someElements[1]))
        {
            $sExtension  = $someElements[1] ;
        }

        $someTypes= array ("php");

        if(in_array($sExtension, $someTypes)){
            $sClassName = substr(str_replace('Controller', '', $sName), 1);

            $sUrl = strtolower($sClassName);

            $someControllers[$sUrl] = array("controller" =>$sClassName);
        }
    }

    closedir($oDir);
    
    return $someControllers;
}

/**
 * This function get folder controller files
 * @param <string> $p_sPath path of core controllers
 * @param <string> $p_sRoot path of folder installation (usually '/')
 * @return <array> hash table with core controllers
 */
function getFilesPluginsControllers($p_sPath)
{
    $oDir = opendir($p_sPath);

    $someControllers = array();

    while ($sElement = readdir($oDir))
    {
	if(!preg_match('/\./',$sElement))
	{
            if(file_exists($p_sPath . $sElement.'/controllers/'))
            {
                $oPluginDir = opendir($p_sPath . $sElement . '/controllers/');

                while($sPluginController = readdir($oPluginDir))
                {
                    $somePluginControllers = explode(".",$sPluginController) ;

                    $sName = $somePluginControllers[0] ;

                    $sExtension = "";

                    if(isset ($somePluginControllers[1]))
                    {
                        $sExtension  = $somePluginControllers[1] ;
                    }

                    $someTypes= array ("php");

                    if(in_array($sExtension, $someTypes)){

                        $sClassName = substr(str_replace('Controller', '', $sName), 1);

                        $sUrl = strtolower($sClassName);

                        $someControllers[$sUrl] = array("controller" =>$sClassName);

                    }
                }

                closedir($oPluginDir);

            }
	}
    }

    closedir($oDir);

    return $someControllers;
}

/**
 * This function create a file
 * @param <string> $p_sFileRoute Route where the file will be created
 * @param <string> $p_sResult Content to write in the file will be created
 * @return <string> Message with the result of createFile
 */
function createFile($p_sFileRoute, $p_sResult)
{
    $return = '';
    if (is_file($p_sFileRoute))
    {
        //delete existent file
        unlink($p_sFileRoute);
    }

    if (($p_sResult != "") && ($p_sResult != null)) 
    {
        //Open and write file
        $oHandle = fopen($p_sFileRoute,"w+");

        if (fwrite($oHandle, $p_sResult) === FALSE)
        {
            $return = "Can't create ".$p_sFileRoute." file.\n";
        }
        else
        {
            $return = "File ".$p_sFileRoute." Created.\n";
        }

        //Close file
        fclose($oHandle);
    }

    return $return;
}

/**
 * This function creates a hash table with the core controllers that must be inserted in the file
 * @param <hash table> $p_someControllers hash table with core controllers
 * @return <string> string with hash table with core controllers for append in file will be created
 */
function createHashTable($p_someControllers, $p_sRoot)
{
    $sResult = '';

    if(defined('C_LANGUAGES'))
    {
        $someLanguages = explode(',',C_LANGUAGES);

        foreach ($someLanguages as $sLanguage)
        {
            $sLanguagePath = str_replace('core/console', '', getcwd()).'app/locales/'.$sLanguage.'.php';
            
            if(file_exists($sLanguagePath))
            {
                $sResult .= renderArray($sLanguage, $p_someControllers, $p_sRoot);
            }
            else
            {
                $sResult .= renderArray($sLanguage, $p_someControllers, $p_sRoot, false);
            }
        }

        $sResult = substr($sResult, 0, -1);
    }
    else
    {
        if(defined('C_LANGUAGE_DEFAULT'))
        {
            $sLanguagePath = str_replace('core/console', '', getcwd()).'app/locales/'.C_LANGUAGE_DEFAULT.'.php';

            if(file_exists($sLanguagePath))
            {
                $sResult = renderArray(C_LANGUAGE_DEFAULT, $p_someControllers, $p_sRoot);
            }
            else
            {
                $sResult = renderArray(C_LANGUAGE_DEFAULT, $p_someControllers, $p_sRoot, false);
            }

            $sResult = substr($sResult, 0, -1);
        }
        else
        {
            $sLanguagePath = str_replace('core/console', '', getcwd()).'app/locales/en.php';

            if(file_exists($sLanguagePath))
            {
                $sResult = renderArray('en', $p_someControllers, $p_sRoot);
            }
            else
            {
                $sResult = renderArray('en', $p_someControllers, $p_sRoot, false);
            }

            $sResult = substr($sResult, 0, -1);

        }
    }

    return $sResult;
}

/**
 * This function create adds to hash table cora controllers with app controllers prepare for insert in file
 * @param <type> $p_someControllers $p_someControllers hash table with app controllers
 * @return <type> string with hash table with app controllers for append in file will be created
 */
function createAddsHashTable($p_someControllers, $p_sRoot, $p_isPlugin = false)
{
    $sResult = '';

    if(defined('C_LANGUAGES'))
    {

        $someLanguages = explode(',',C_LANGUAGES);
      
        foreach ($someLanguages as $sLanguage)
        {
            $sLanguagePath = str_ireplace('core'.DIRECTORY_SEPARATOR.'console',
                                          '',
                                          getcwd()).'app'.DIRECTORY_SEPARATOR.'locales'.DIRECTORY_SEPARATOR.$sLanguage.'.php';
           
            if(file_exists($sLanguagePath))
            {
                $sResult .= renderAddArray($sLanguage, $p_someControllers, $p_sRoot, true, $p_isPlugin);
            }
            else
            {
                $sResult .= renderAddArray($sLanguage, $p_someControllers, $p_sRoot, false, $p_isPlugin);
            }
        }

        $sResult = substr($sResult, 0, -1);
    }
    else
    {
        if(defined('C_LANGUAGE_DEFAULT'))
        {
            $sLanguagePath = str_ireplace('core'.DIRECTORY_SEPARATOR.'console',
                                          '',
                    getcwd()).'app'.DIRECTORY_SEPARATOR.'locales'.DIRECTORY_SEPARATOR.C_LANGUAGE_DEFAULT.'.php';

            if(file_exists($sLanguagePath))
            {
                $sResult = renderAddArray(C_LANGUAGE_DEFAULT, $p_someControllers, $p_sRoot, true , $p_isPlugin);
            }
            else
            {
                $sResult = renderAddArray(C_LANGUAGE_DEFAULT, $p_someControllers, $p_sRoot, false , $p_isPlugin);
            }

            $sResult = substr($sResult, 0, -1);
        }
        else
        {
            $sLanguagePath = str_ireplace('core'.DIRECTORY_SEPARATOR.'console',
                    '',
                    getcwd()).'app'.DIRECTORY_SEPARATOR.'locales'.DIRECTORY_SEPARATOR.'en.php';

            if(file_exists($sLanguagePath))
            {
                $sResult = renderAddArray('en', $p_someControllers, $p_sRoot, true , $p_isPlugin);
            }
            else
            {
                $sResult = renderAddArray('en', $p_someControllers, $p_sRoot, false , $p_isPlugin);
            }

            $sResult = substr($sResult, 0, -1);

        }
    }

    return $sResult;

}

function renderArray($p_sLanguage, $p_someControllers, $p_sRoot, $p_bFileExist = true)
{
    $sResult = '';

    if($p_bFileExist)
    {
        include ($p_sLanguage.'.php');

        $sResult .= '"'.$p_sLanguage.'" => array (
            ';

        foreach ($p_someControllers as $index => $controller)
        {
            $sPath = $index;

            if(isset($someDictionary[$index]))
            {
                $sPath = $someDictionary[$index];
            }

            $sResult .= '"'.$p_sRoot.$sPath."/*".'" => array (
                "controller" => "'.$controller['controller'].'"
            )
        ,';
        }

        $sResult = substr($sResult, 0, -1);

        $sResult .= ')
        ,';
    }
    else
    {
        $sResult .= '"'.$p_sLanguage.'" => array (
            ';

        foreach ($p_someControllers as $index => $controller)
        {
            $sPath = $index;

            $sResult .= '"'.$p_sRoot.$sPath."/*".'" => array (
                "controller" => "'.$controller['controller'].'"
            )
        ,';
        }

        $sResult = substr($sResult, 0, -1);

        $sResult .= ')
        ,';
    }

    return $sResult;
}

function renderAddArray($p_sLanguage, $p_someControllers, $p_sRoot, $p_bFileExist = true, $p_isPlugin = false )
{
    $sResult = '';

    if($p_bFileExist)
    {
        include ($p_sLanguage.'.php');

        foreach ($p_someControllers as $index => $controller)
        {
            $sPath = $index;

            if(isset($someDictionary[$index]))
            {
                $sPath = $someDictionary[$index];
            }

            $sResult .= '$this->_someInitValues["'.$p_sLanguage.'"]["'.$p_sRoot.$sPath."/*".'"] = array("controller" => "'.$controller['controller'].'");
                ';
        }

        $sIndexControler = 'Mainpages';

        if(defined('C_INDEX_CONTROLLER'))
        {
            $sIndexControler = C_INDEX_CONTROLLER;
        }

        if(!$p_isPlugin)
        {
            $sResult .= '$this->_someInitValues["'.$p_sLanguage.'"][C_KEY_MAIN."*"] = array("controller" => "'.$sIndexControler.'");
                    $sOthers = substr(C_KEY_MAIN, 0, -1)."*";
                    $this->_someInitValues["'.$p_sLanguage.'"][$sOthers] = array("controller" => "'.$sIndexControler.'"); ';
        }
    }
    else
    {
        $sResult .= '"'.$p_sLanguage.'" => array (
            ';

        foreach ($p_someControllers as $index => $controller)
        {
            $sPath = $index;

            $sResult .= '$this->_someInitValues["'.$p_sLanguage.'"]["'.$p_sRoot.$sPath."/*".'"] = array("controller" => "'.$controller['controller'].'");
                ';
        }

        $sIndexControler = 'Mainpages';

        if(defined('C_INDEX_CONTROLLER'))
        {
            $sIndexControler = C_INDEX_CONTROLLER;
        }

        if(!$p_isPlugin)
        {
            $sResult .= '$this->_someInitValues["'.$p_sLanguage.'"][C_KEY_MAIN] = array("controller" => "'.$sIndexControler.'");
                    $sOthers = substr(C_KEY_MAIN, 0, -1)."*";
                    $this->_someInitValues["'.$p_sLanguage.'"][$sOthers] = array("controller" => "'.$sIndexControler.'"); ';
        }
    }

    return $sResult;
}

function createHtaccess($p_sFolder)
{
    $sContent = "# Enable rewrite engine
    Options +FollowSymLinks -Indexes
    RewriteEngine On

    RewriteBase $p_sFolder

    RewriteCond %{REQUEST_FILENAME}  !-l
    RewriteCond %{REQUEST_FILENAME}  !-d
    RewriteCond %{REQUEST_FILENAME}  !-f
    RewriteRule .* index.php?%{QUERY_STRING} [L]";

    createFile("../../public/.htaccess", $sContent);

    return "Parent Path = $p_sFolder | .htaccess created.";
}

function createScaffolding($p_someTablesToScaff, $p_sViewDirectory) {
    createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory, "add");
    createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory, "edit");
    createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory);
    createScaffoldController($p_someTablesToScaff, $p_sViewDirectory);
    createScaffoldModel($p_someTablesToScaff,$p_sViewDirectory);
  
}


function createContentViewIndexFile($p_sTableName) {
    $sString = '<?php
        ?>
        <div>
        <a href="<?php echo $this->link("add"); ?>" target="_self">New Record</a>
        <a href="<?php echo $this->link("index"); ?>" target="_self">List All</a>
        <div id="idDivSearch">
            <form action="<?= $this->link("search"); ?>" method="POST" name="searchform" accept-charset="UTF-8">
                <select id="idSltSearchField" name="data[search][field]">
                <?php 
                      foreach($someColumns as $sColumn) { ?>
                        <option value="<?=$sColumn?>"><?=$sColumn?></option>
                <?php } ?>

                </select>
                <input id="idIptSearchText" name="data[search][text] "type="text" />
                <input id="idSearchSubmit" type="submit" value="<?= __(\'search\',$sLang); ?>" />
            </form>
        </div>
        <table id="<?=$sIdTable?>" class="<?=$sClassTable?>" width="600">
            <thead style="margin-bottom:20px;">
                <?php foreach ($someData as $oRow) { ?>
                    <tr>
                      <th width="20px;" style="text-align:left;">
                            <?= $this->prev(\'Anterior\', "<img src=\'".__image(\'reports/left.png\',true)."\' alt=\'Anterior\'/>"); ?>
                      </th>

                      <?php
                            $someTextColumn = array_keys($oRow);
                            foreach($someTextColumn as $sColumn) { ?>
                            <th>
                                <?= $this->sort($sColumn,__($sColumn, $sLang, true)); ?>


                            </th>
                        <?php } ?>
                            <th></th>

                        <th width="20px;" style="text-align:right;">
                            <?= $this->next(\'Siguiente\', "<img src=\'".__image(\'reports/right.png\',true)."\' alt=\'Siguiente\'/>"); ?>

                        </th>
                    </tr>

                <?php break;

                } ?>
            </thead>
            <tbody>
            <?php foreach ($someData as $oRow) { ?>
                    <tr>
                      <td></td>
                      <?php foreach($oRow as $oColumn) { ?>

                            <td>
                                <?= $oColumn ?>

                            </td>
                        <?php }?>
                       <td><a href="<?php echo $this->link("edit/".$oRow[\'id\']); ?>" target="_self">Edit</a><a href="<?php echo $this->link("delete/".$oRow[\'id\']); ?>" target="_self">Delete</a></td>

                       <td></td>
                    </tr>

            <?php } ?>
            </tbody>
            <tfoot>

            </tfoot>

        </table>
        </div>';

    return $sString;
}

function createContentViewEditFile($p_sTableName) {
   $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
   $sString = "";

    $oCon = CAppConnectionManager::get();
    $oDb = $oCon->getConnection();
    if(!$oDb) {
        echo "** WARNING: DATABASE CONNECTION NOT AVAILABLE. YOU MUST CONFIGURE TO USE SCAFFOLD **";
    }
    else {
        echo "** DATABASE CONNECTION - OK. ** \n";

        if ($oCon->selectDataBase() == true) {
            $oModel = new CModel();
            $someResults = $oModel->describe($p_sTableName);

            foreach($oModel->_someInfoData as $oSomeInfoData) {
                //if you want to show auto_increment fields you must change this line
                if (isset($oSomeInfoData["Extra"]) && (strcasecmp($oSomeInfoData["Extra"],"auto_increment") != 0)) {
                    $someFields[] = $oSomeInfoData["Field"];
                }
            }

            $sString = '<div>
                    <label>
                        <?php __("Edit '.$sTableNameWithoutLast.'",$sLang);?>
                    </label>

                </div>
                <div>
                     <a href="<?=$this->link("index"); ?>" ><?php __("Return to List '.$sTableNameWithoutLast.'",$sLang) ?></a>
                </div>

                <form action="<?= $this->link("edit/$iId"); ?>" method="POST" name="'.$sTableNameWithoutLast.'form" >';

                    foreach($someFields as $sField) {
                        $sString .= '<div>
                                        <label><?php __("'.$sField.'", $sLang) ?></label>
                                        <input name="data['.$p_sTableName.']['.$sField.']"
                                            id="id'.$p_sTableName.$sField.'" type="text" value="<?php $this->form("'.$sField.'"); ?>" />
                                     </div>';
                    }


             $sString .= '<div>
                            <input id="id'.$p_sTableName.'Submit" type="submit" value="Submit" />
                          </div>';

             $sString .= '</form>';

        }
        else {
            echo "**WARNING: DATABASE SELECTION ".$oCon->get_sBda()." DOESN'T EXISTS. ** \n";
        }



         /*  $sString = '<div>
            <label>
                <?php __("Edit New Group",$sLang);?>
            </label>
            </div>
            <form action="<?= $this->link("edit/$iId"); ?>"  method="POST" name="grupoform" >

                <div>
                    <label><?php __("firstname", $sLang) ?></label>
                    <input name="data[users][firstname]" id="idGrupoIdgrupos" type="text" value="<?php $this->form("firstname"); ?>" />
                </div>

                <div>
                    <label><?php __("lastname", $sLang) ?></label>
                    <input name="data[users][lastname]" id="idGrupoConcepto" type="text" value="<?php $this->form("lastname"); ?>" />
                </div>


                <div>
                    <input id="idGrupoSubmit" type="submit" value="Submit" />
                </div>

            </form>';
        } */
    }

   return $sString;
}

function createContentViewNewFile($p_sTableName) {
    $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
    $sString = "";

    $oCon = CAppConnectionManager::get();
    $oDb = $oCon->getConnection();
    if(!$oDb) {
        echo "** WARNING: DATABASE CONNECTION NOT AVAILABLE. YOU MUST CONFIGURE TO USE SCAFFOLD **";
    }
    else {
       //select database
        echo "** DATABASE CONNECTION - OK. ** \n";

        if ($oCon->selectDataBase() == true) {
            $oModel = new CModel();
            $someResults = $oModel->describe($p_sTableName);

            foreach($oModel->_someInfoData as $oSomeInfoData) {
                //if you want to show auto_increment fields you must change this line
                if (isset($oSomeInfoData["Extra"]) && (strcasecmp($oSomeInfoData["Extra"],"auto_increment") != 0)) {
                    $someFields[] = $oSomeInfoData["Field"];
                }               
            }   

            $sString = '<div>
                    <label>
                        <?php __("Add New '.$sTableNameWithoutLast.'",$sLang);?>
                    </label>
                    
                </div>
                <div>
                     <a href="<?=$this->link("index"); ?>" ><?php __("Return to List '.$sTableNameWithoutLast.'",$sLang) ?></a>
                </div>

                <form action="<?= $this->link("add"); ?>" method="POST" name="'.$sTableNameWithoutLast.'form" >';

                    foreach($someFields as $sField) {
                        $sString .= '<div>
                                        <label><?php __("'.$sField.'", $sLang) ?></label>
                                        <input name="data['.$p_sTableName.']['.$sField.']"
                                            id="id'.$p_sTableName.$sField.'" type="text" value="<?php $this->form("'.$sField.'"); ?>" />
                                     </div>';
                    }
                    

             $sString .= '<div>
                            <input id="id'.$p_sTableName.'Submit" type="submit" value="Submit" />
                          </div>';
                    
             $sString .= '</form>';

        }
        else {
            echo "**WARNING: DATABASE SELECTION ".$oCon->get_sBda()." DOESN'T EXISTS. ** \n";
        }

    }       
    return $sString;
}
/**
 *
 * @param <type> $p_someTablesToScaff The tables of the database that we want scaffold
 * @param <type> $p_sViewDirectory The directory that contains files and directories built automatically
 * @param <type> $p_sMode By default is index. If you want create add or edit views, you will have to pass the parameer $p_sMode
 */
function createScaffoldFile($p_someTablesToScaff,$p_sViewDirectory, $p_sMode = "index") {



    foreach ($p_someTablesToScaff as $sTableName) {
        //     ../../app/views/frontend/directorytableplural/
        if ($p_sViewDirectory == "plugins") {
            $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                "app".DIRECTORY_SEPARATOR.$p_sViewDirectory.DIRECTORY_SEPARATOR
                .$sTableName.DIRECTORY_SEPARATOR;

        }
        else {
        $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                "app".DIRECTORY_SEPARATOR."views".DIRECTORY_SEPARATOR.
                $p_sViewDirectory.DIRECTORY_SEPARATOR.$sTableName.DIRECTORY_SEPARATOR;
        }
        if (!file_exists($sPath)) {
            //we create the directory for scaffold. It will be the reference to our table to do CRUD actions.
            echo "\nBUILDING DIRECTORY:". $sPath."\n";
            mkdir($sPath);
            if ($p_sViewDirectory == "plugins") {
                echo "\nBUILDING DIRECTORY: \n".$sPath."controllers".DIRECTORY_SEPARATOR;
                mkdir($sPath."controllers".DIRECTORY_SEPARATOR);
                echo "\nBUILDING DIRECTORY: \n".$sPath."models".DIRECTORY_SEPARATOR;
                mkdir($sPath."models".DIRECTORY_SEPARATOR);
                echo "\nBUILDING DIRECTORY: \n".$sPath."views".DIRECTORY_SEPARATOR;
                $sPath = $sPath."views".DIRECTORY_SEPARATOR;
                mkdir($sPath);
            }
        }
        else {
            if ($p_sViewDirectory == "plugins") {
                if (!file_exists($sPath."controllers".DIRECTORY_SEPARATOR)) {
                    echo "\nBUILDING DIRECTORY: \n".$sPath."controllers".DIRECTORY_SEPARATOR;
                    mkdir($sPath."controllers".DIRECTORY_SEPARATOR);
                }
                
                if (!file_exists($sPath."models".DIRECTORY_SEPARATOR)) {
                    echo "\nBUILDING DIRECTORY: \n".$sPath."models".DIRECTORY_SEPARATOR;
                    mkdir($sPath."models".DIRECTORY_SEPARATOR);
                }
                if (file_exists($sPath."views".DIRECTORY_SEPARATOR)) {
                    $sPath = $sPath."views".DIRECTORY_SEPARATOR;
                }
                else {
                    echo "\nBUILDING DIRECTORY: \n".$sPath."views".DIRECTORY_SEPARATOR;
                    $sPath = $sPath."views".DIRECTORY_SEPARATOR;
                    mkdir($sPath);
                }
            }
        }


        if (is_dir($sPath)) {
            if (strcasecmp($p_sMode,"add") == 0) {
                echo "\nBUILDING FILE:".$sPath."add.php \n";
                createFile($sPath."add.php", createContentViewNewFile($sTableName));
            }
            elseif (strcasecmp($p_sMode,"edit") == 0) {
                echo "\nBUILDING FILE:".$sPath."edit.php \n";
                createFile($sPath."edit.php", createContentViewEditFile($sTableName));
            }
            else {
                echo "\nBUILDING FILE:".$sPath."index.php \n";
                createFile($sPath."index.php", createContentViewIndexFile($sTableName));
            }
        }
    }
}

function createScaffoldController($p_someTablesToScaff,$p_sViewDirectory) {

     foreach ($p_someTablesToScaff as $sTableName) {
       
       //     ../../app/views/frontend/directorytableplural/
        if ($p_sViewDirectory == "plugins") {
            $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                "app".DIRECTORY_SEPARATOR.$p_sViewDirectory.DIRECTORY_SEPARATOR
                .$sTableName.DIRECTORY_SEPARATOR."controllers".DIRECTORY_SEPARATOR;
               

        }
        else {
        $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                "app".DIRECTORY_SEPARATOR."controllers".DIRECTORY_SEPARATOR;
        }



       if (is_dir($sPath)) {
            echo "\n BUILDING FILE: ".$sPath."C".ucfirst($sTableName)."Controller.php \n";
            $sContent = buildContentController("C".ucfirst($sTableName)."Controller", $sTableName, "C".ucfirst(substr($sTableName,0,-1)), $p_sViewDirectory);
            createFile($sPath."C".ucfirst($sTableName)."Controller.php",$sContent);
       }
     }
}


function buildContentController($p_sClassName, $p_sTableName, $p_sClassModel, $p_sViewDirectory) {
    $sTableNameWithoutLast = ucfirst(substr($p_sTableName, 0,-1));
    $sTypeController = "C_FRONTEND";
    if ($p_sViewDirectory == "backend") $sTypeController = "C_BACKEND";
    elseif ($p_sViewDirectory == "plugins") $sTypeController = "C_PLUGINS";
    $sContent = "<?php /**
     * Short description of class ".$p_sClassName."
     *
     * @access private
     * @author NUBESIS, <info@nubesis.com>
     */

     class ".$p_sClassName." extends CAppController {

        public function ".$p_sClassName."(){
            parent::CAppController();
            \$this->setType(".$sTypeController.");
        }
        public function index() {
            try {
                \$o".$sTableNameWithoutLast." = \$this->getUsedClass('".$p_sClassModel."');
                \$someValues = array(
                    'p_sColumns' => '*',
                    'p_sLimit' => '30');

                \$someData = \$this->paginate('".$p_sClassModel."', 'index', '".$p_sTableName."',\$someValues);
                
                
                \$someColumns = \$o".$sTableNameWithoutLast."->describeColumns('".$p_sTableName."',true);
                \$this->_oView->add('someColumns',\$someColumns);
                \$this->_oView->add('someData',\$someData);
                \$this->_oView->add('sIdTable','idtabla');
                \$this->_oView->add('sClassTable','idclass');
             }
             catch(CException \$e) {
                throw \$e;
             }

        }

        public function edit(\$iId = null) {
            try {
                if(\$iId != null)
                {
                    if(isset(\$this->_someParameters['data']))
                    {
                        \$o".$sTableNameWithoutLast." = \$this->getUsedClass('$p_sClassModel');

                        \$sWhere = 'id = '.\$iId;

                        if(\$o".$sTableNameWithoutLast."->update(\$this->_someParameters['data'],\$sWhere,false) == C_WARNING_UPDATEDOK)
                        {
                             //First we have to call the index View to create variables that will be used in the View
                            \$this->index();

                            //Second we have to set the view that will show the controller
                            \$this->_oView->set_sView('index.php');

                            \$this->_oLayout->add('sTextMessage','Edit ".$sTableNameWithoutLast."');

                            \$this->_oLayout->add('sTypeMessage',C_MESSAGE_OK);
                        }
                        else
                        {
                            \$this->_oView->add('someData',\$this->_someParameters['data']);
                            \$this->_oLayout->add('sTextMessage','$sTableNameWithoutLast NOT edited');
                            \$this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                        }

                    }
                    else
                    {
                        \$o".$sTableNameWithoutLast." = \$this->getUsedClass('".$p_sClassModel."');

                        \$sWhere = 'id = '.\$iId;

                        \$someValues = array(
                            'p_sColumns' => '*',
                            'p_sWhere' => \$sWhere);

                        if(\$o".$sTableNameWithoutLast."->select(\$someValues) == C_WARNING_SELECTEDOK)
                        {
                            \$someData = \$o".$sTableNameWithoutLast."->get_someData();

                            \$someValues['$p_sTableName'] = \$someData[0];

                            \$this->_oView->add('someData',\$someValues);
                        }
                        else
                        {
                             //First we have to call the index View to create variables that will be used in the View
                            \$this->index();

                            //Second we have to set the view that will show the controller
                            \$this->_oView->set_sView('index.php');

                            \$this->_oLayout->add('sTextMessage','".$sTableNameWithoutLast." not found');

                            \$this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                        }

                    }

                    \$this->_oView->add('iId',\$iId);

                }
                else
                {
                     //First we have to call the index View to create variables that will be used in the View
                    \$this->index();

                    //Second we have to set the view that will show the controller
                    \$this->_oView->set_sView('index.php');

                    \$this->_oLayout->add('sTextMessage','Missing id');
                    \$this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                }
           }
           catch(CException \$e) {
                throw \$e;
           }

        }
        public function add() {
            try {
                if(isset(\$this->_someParameters['data']))
                {
                    \$o".$sTableNameWithoutLast." = \$this->getUsedClass('".$p_sClassModel."');
                    if(\$o".$sTableNameWithoutLast."->insert(\$this->_someParameters['data']) == C_WARNING_INSERTEDOK)
                    {
                         //First we have to call the index View to create variables that will be used in the View
                        \$this->index();

                        //Second we have to set the view that will show the controller
                        \$this->_oView->set_sView('index.php');

                        \$this->_oLayout->add('sTextMessage','New ".$sTableNameWithoutLast." inserted');
                        \$this->_oLayout->add('sTypeMessage',C_MESSAGE_OK);
                    }
                    else
                    {
                        \$this->_oView->add('someData',\$this->_someParameters['data']);
                        \$this->_oLayout->add('sTextMessage','New ".$sTableNameWithoutLast." NOT inserted');
                        \$this->_oLayout->add('sTypeMessage',C_MESSAGE_ERROR);
                    }
                }
            }
            catch(CException \$e) {
                throw \$e;
            }
         }

        public function delete() {
            try {
                 //First we have to call the index View to create variables that will be used in the View
                \$this->index();

                //if you want to add extra operations to this method, you will have to do it here
                //first we have to delete
                \$someParameters = \$this->get_someParameters();
                if (isset(\$someParameters) && isset(\$someParameters[0])) {

                    \$o".$sTableNameWithoutLast." = \$this->getUsedClass('".$p_sClassModel."');
                    \$iReturnedValue = \$o".$sTableNameWithoutLast."->delete(\$o".$sTableNameWithoutLast."->get_sTable(), 'id = '.\$someParameters[0]);
                    //if the delete operation success, we will show a message with 'deleted correctly'
                    if (\$iReturnedValue == C_WARNING_UPDATEDOK) {
                        \$this->_oLayout->add('sTextMessage', __(\"Operation executed successfully\",\$this->_sLanguage, true));
                    }
                    else {
                        \$this->_oLayout->add('sTextMessage', __(\"Operation NOT executed successffuly\",\$this->_sLanguage, true));
                    }

                }


                //Second we have to set the view that will show the controller
                \$this->index();
                \$this->_oView->set_sView('index.php');
             }
             catch(CException \$e) {
                throw \$e;
             }
        }

        public function search() {
            try {
                \$someParameters = \$this->get_someParameters();
                if (isset(\$someParameters) && isset(\$someParameters['data'])) {
                      \$sField = \$someParameters['data']['search']['field'];
                      \$sText = \$someParameters['data']['search']['text'];
                      \$sTextUpper = strtoupper(utf8_decode(\$sText));
                      \$sTextLower = strtolower(utf8_decode(\$sText));
                      \$oObject = \$this->getUsedClass('$p_sClassModel');
                      \$someValues = array(
                            'p_sColumns' => '*',
                            'p_sWhere' => \$sField.' LIKE \"'.\$sText.'\" OR '.\$sField.' LIKE \"'.\$sTextLower.'\" OR '.\$sField.' LIKE \"'.\$sTextUpper.'\"',
                            'p_sLimit' => '30');

                      \$someData = \$this->paginate('$p_sClassModel', 'index', '$p_sTableName',\$someValues);

                      \$someColumns = \$oObject->describeColumns('$p_sTableName',true);
                      \$this->_oView->add('someColumns',\$someColumns);
                      \$this->_oView->add('someData',\$someData);
                      \$this->_oView->add('sIdTable','idtabla');
                      \$this->_oView->add('sClassTable','idclass');
                      \$this->_oView->set_sView('index.php');
                }

            }
            catch(CException \$e) {
                throw \$e;
            }
        }
    }
?>";

    return $sContent;
}


function createScaffoldModel($p_someTablesToScaff,$p_sViewDirectory) {
     foreach ($p_someTablesToScaff as $sTableName) {

       //     ../../app/views/frontend/directorytableplural/
        if ($p_sViewDirectory == "plugins") {
            $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                "app".DIRECTORY_SEPARATOR.$p_sViewDirectory.DIRECTORY_SEPARATOR
                .$sTableName.DIRECTORY_SEPARATOR."models".DIRECTORY_SEPARATOR;


        }
        else {
        $sPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.
                "app".DIRECTORY_SEPARATOR."models".DIRECTORY_SEPARATOR;
        }

        if (is_dir($sPath)) {
            echo "\n BUILDING FILE: ".$sPath."C".ucfirst(substr($sTableName,0,-1)).".php \n";
            $sContent = buildContentModel("C".ucfirst(substr($sTableName,0,-1)),$sTableName);
            createFile($sPath."C".ucfirst(substr($sTableName,0,-1)).".php",$sContent);
       }
     }
}

function buildContentModel($p_sClassName, $p_sTableName) {
    $sContent =  "<?php /**
     * Short description of class ".$p_sClassName."
     *
     * @access private
     * @author NUBESIS, <info@nubesis.com>
     */
     class ".$p_sClassName." extends CModel{
        public function ".$p_sClassName."(){
             \$this->_sTable = '".$p_sTableName."';
        }
    }
    ?>";

    return $sContent;
}

?>