<?php
/**
 * Class CErrorController. This class manages app errors.
 * @author Nubesis http://www.nubesis.com
 * @copyright Nubesis S.L.
 */
class CErrorController extends CAppController {

    protected $_sDefaultMethod = 'error';

    public function CErrorController() {
        try {
            $this->_sFixedMethod = "error";
            $this->CAppController();
            $this->setType(C_ERRORS);
        }
        catch(CException $e)
        {
            throw $e;
        }     
    }

    public function error($id = null)
    {
      try {
            $this->set_someErrorMessages( "Error de sistema" );
            $this->set_iTypeMessage(C_MESSAGE_ERROR);
            
            if ( $id != null) {
                $sErrorMessage = __($id, $this->_sLanguage,true);
                $this->_oView->add("sErrorMessage",$sErrorMessage);
            }
            else {
                $sErrorMessage = __(C_ERROR_EXCEPTION,$this->_sLanguage,true);
                $this->_oView->add("sErrorMessage",$sErrorMessage);
            }
      }
      catch(CException $e) {
          throw $e;
      }
    }
}

?>
