<?php
/**
 * Class CPageController. This class manages app errors.
 * @author Nubesis http://www.nubesis.com
 * @copyright Nubesis S.L.
 */
class CPageController extends CAppController {

    public function CPageController() {
        try {
            $this->CAppController();
            $this->setType(C_PAGES);
            $this->_sFixedMethod = 'pages';
          
        }
        catch(CException $e){
            throw $e;
        }
    }

    public function pages($p_sView = null) {
        try {
            $this->_oView->setPath(C_VIEWS . C_PAGES);

            if ($p_sView != null) {

                if(preg_match("/^no_layout/", $p_sView))
                {
                    $this->_sLayout = 'ajax';
                    $p_sView = str_replace( "no_layout" , "" , $p_sView);
                }

                $this->_oLayout->add('page',$p_sView);
                $this->_oView = new CAppView($p_sView.'.php', C_VIEWS . $this->_sType);
            }
            else if ( C_INDEX_CONTROLLER == "Page")
            {
                $this->_oLayout->add('page',C_INDEX_VIEW);
                $this->_oView = new CAppView(C_INDEX_VIEW.'.php', C_VIEWS . $this->_sType);
            }
        }
        catch(CException $e) {
            throw $e;
        }
        return true;
    }
}

?>
